ApplicationConfigurationController Methods |
The ApplicationConfigurationController type exposes the following members.
| Name | Description | |
|---|---|---|
| ComputeEffectiveLogFilterValue | POST /ApplicationConfiguration/ComputeEffectiveLogFilterValue/
Computes what the effective value for a setting would be without having to save the configuration.
| |
| EnsureCallerContext |
If the current context is not already the specified context, creates a new caller context which is
a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.) | |
| EnsureFormFileMultipartContent |
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.) | |
| GetClientIdFromCookieOrProvided |
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| GetEffectivePasswordPolicy | GET /ApplicationConfiguration/PasswordPolicy/
Gets the effective password policy for the application.
| |
| GetEffectiveSettingValues | GET /ApplicationConfiguration/EffectiveValues/
Get the effective setting values.
| |
| GetEffectiveSettingValuesForScope | POST /ApplicationConfiguration/GetEffectiveSettingValuesForScope/
Gets the effective application configuration setting values for the specified scope.
| |
| GetEffectiveValueForSetting | POST /ApplicationConfiguration/EffectiveValueForSetting/
Gets the effective value for an application setting from the perspective of the specified scope.
| |
| GetLogFilterForScope | POST /ApplicationConfiguration/GetLogFilterForScope/
Get the log filter values for the current scope.
| |
| GetScopeSettingValues | POST /ApplicationConfiguration/ScopeValues/
Get the setting values for the specified scope.
| |
| GetServiceT |
Gets the requested service.
(Inherited from ApiControllerBase.) | |
| GetSessionIdFromCookieHeaderOrProvided |
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.) | |
| GetSettingById | GET /ApplicationConfiguration/{id}
Get the application setting based on ID.
| |
| GetSettingDetails | POST /ApplicationConfiguration/SettingDetails
Gets the setting details for registered settings in the application.
| |
| GetSettings | GET /ApplicationConfiguration/
Get the application settings.
| |
| GetSettingValueById | POST /ApplicationConfiguration/SettingValue/
Get the setting value for the specified setting.
| |
| GetSetValueForSetting | POST /ApplicationConfiguration/GetSetValueForSetting/
Gets the set value for a specific setting and scope/scope target.
| |
| LoadSession |
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.) | |
| RequestFirstFormFile |
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.) | |
| RequestFormFiles |
Retrieves the form files from the request.
(Inherited from ApiControllerBase.) | |
| ReturnInvalidWindowsIdentityResponse |
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.) | |
| SaveConfig | POST /ApplicationConfiguration/
Saves the current application configuration.
| |
| SetConfigValue | PUT /ApplicationConfiguration/
Set an application setting value.
|